@import url('https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:wght@300&display=swap');

*{
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html{
  scroll-behavior: smooth;
}

body{
  height: 100%;
  font-family: Helvetica, Arial;
  color: #333;
}

#home {
  overflow-x: hidden;

}

body::-webkit-scrollbar{
  width: .5em;
}

body::-webkit-scrollbar-track{
  background: #444;
}

body::-webkit-scrollbar-thumb{
  background: #111;
}

.nav-container {
  width: 100%;
  background-color: #444;
  position: fixed;
  z-index: 1;
}

.navbar {
  display: grid;
  grid-template-columns: 0.2fr auto 1fr;
  align-items: center;
  height: 80px;
  width: 100%;
  max-width: 1720px;
  position: fixed;
  margin: 0 auto;
  background: #444;
}

#nav {
  height: 80px;
  transition: 0.4s ease-in-out;
}

#navbar-logo {
  color: #fff;
  width: 250px;
  font-size: 30px;
  margin-left: 20px;
  justify-self: start;
  cursor: pointer;
}

#navbar-logo a {
  text-decoration: none;
  color: inherit;
}

.spane {
  color: #2196f3;
}

.spans {
  color: #8bc34a
}

.spanp {
  color: #f44336;
}

.span-rest {
  font-size: 21px;
}

.nav-menu {
  font-family: Open sans Condensed, Helvetica, Arial, sans-serif;
  display: grid;
  grid-template-columns: repeat(5, auto);
  list-style: none;
  text-align: center;
  width: 70%;
  justify-self: end;
  z-index: 1;
}

.nav-links {
  color: #fff;
  text-decoration: none;
  /* font-family: Open Sans Condensed; */
}

.nav-links:hover {
  color: #aaa;
  transition: all 0.2s ease-out;
}

.menu-toggle .bar {
  width: 25px;
  height: 3px;
  margin: 5px auto;
  transition: 0.3s all ease-out;
  background: #fff;
}

/* #wrapper {
  position: relative;
}

#imgBox {
  position: absolute;
  width: 100vw;
  height: 98vh;
  opacity: 0;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
} */


/* new carousel */
.carousel {
  position: relative;
  height: 100vh;
  width: 100vw;
  /* padding-top: 95px; */
}

.slides {
  height: 100%;
  width: 100%;
  position: relative;
}

.slide {
  position: absolute;
  color: var(--sndblue);
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  font-size: 50px;
  line-height: 400px;
  text-align: center;
  opacity: 0;
  transition: opacity 2000ms;
  font-family: open sans condensed, Helvetica, sans-serif;
}

/* .slide h2 {
  margin-top: 1em;
} */

#first {
  color: #fff;
}

.slide:nth-child(1) {
    background: url('../img/photographer.jpg') no-repeat 50% ;
    background-size: cover;
    /* background-position-y: 70%; */
    opacity: 1;
}

.slide:nth-child(2) {
    background: url('../img/shooting-evening.jpg') no-repeat 50% ;
    background-size: cover;
    background-position-y: 15%;
}

.slide:nth-child(3) {
    background-size: cover;
    background: url('../img/hotel5.jpg') no-repeat 50% ;

    color: #222;
}

.slide[data-state=active] {
  display: block;
}

.indicators {
  visibility: hidden;
}


/* .navbar::after, */
.double::before,
.double::after,
.row::before,
.about::after,
.contact::after {
  content: "";
  display: flex;
  clear: both;
}

.container{
  padding-top: 2em;
  text-align: center;
}

.double{
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  padding-left: 10%;
  margin-top: 2em;
  margin-bottom: 3em;
}

.bigCol{
  flex: 40%;
  max-width: 40%;
  height: 320px;
  float: left;
  position: relative;
  border-radius: 0 50px 0 0 ;
  box-shadow: 39px -26px 85px -48px rgba(0,0,0,0.75);
}

#first .bigCol:nth-child(1){
  background: url('../img/Reception.jpg') no-repeat 50%;
  background-size: 100% 100%;
  margin-right: 5%;
}

#first .bigCol:nth-child(2) {
  background: url("../img/apple-watch.jpg") no-repeat 50%;
  background-size: 100% 100%;
  margin-left: 5%;
}

#second .bigCol:nth-child(1){
  background: url("../img/guitar.jpg") no-repeat 50%;
  background-size: 100% 100%;
  margin-right: 5%;
}

#second .bigCol:nth-child(2) {
  background: url("../img/business.jpg") no-repeat 50%;
  background-size: 100% 100%;
  /* background-size: 100%; */
  margin-left: 5%;
}

.bigCol .content {
  background: #fff;
  color: #222;
  position: absolute;
  padding: 10px;
  width: 40%;
  height: 40%;
  left: 0;
  bottom: 0;
  border-radius: 0 20px 0 0 ;
  transition: 0.7s ease-in-out;
}

.bigCol h4{
  padding-top: 7px;
}

.bigCol .content p{
  font-size: 16px;
  padding: 9px;
  padding-left: 0;
}

.bigCol:hover .content{
  width: 0;
  height: 70%;
  opacity: 0;
}

.works{
  text-align: center;

  padding: 2em;
}

.works h2{
  /* margin: 2em auto; */
  color: #fff;
}

.blackBack{
  background: #333;
}

.row {
  display: flex;
  flex-wrap: wrap;
  padding-left: 10%;
  padding-bottom: 2em;
}

.col {
  flex: 30%;
  max-width: 30%;
  padding: 0 4px;
}

.col img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
  transition: 1s ease-in-out !important;
}

.col img:hover{
  filter: grayscale(20%);
  transform: scale(1.03)!important;
  box-shadow: -4px 11px 44px 0px rgba(90,90,90,0.75);
}

/* about */
.about{
  width: 100%;
  height: 60vh;
  display: flex;
  align-items: center;
}

.about img{
  width: 50%;
  float: left;
  margin-left: 25%;
  margin-top: 20px;
  border-radius: 10px;
}

.about .career{
  width: 80%;
  float: left;
  text-align: center;
  margin-left: 10%;
}

.about .career p{
  font-size: 18px;
  text-align: left;
  line-height: 30px;
}


textarea{
  resize: none;
}

.contact{
  background: url('../img/contact.png')no-repeat 50%;
  width: 100%;
  height: 70vh;
  color: #fff;
  text-align: center;
}

.contact .layer{
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
  padding-left: 15%;
  padding-top: 2em;
  background: rgba(0, 0, 0, 0.7);
}

.contact h2{
  /* width: 100%;
  float: left; */
}

.contact .address, .contact .holder {
  width: 40%;
  float: left;
  padding: 10px;
}

.contact .address{
  text-align: left;
}

.contact .address h4{
  font-family: Helvetica;
  margin-bottom: 1em;
  margin-top: 1.5em;
}

.contact .address p {
  font-family: Arial, sans-serif;
  margin-bottom: 1em;
  font-size: 19px;
}

.contact .address img {
  width: 22px;
  height: 22px;
  /* margin-top: 0.5em; */
  margin-bottom: -0.1em;
}

.contact #location {
  width: 17px;
}

.contact .holder{
  text-align: center;
}

.contact form input, .contact textarea{
  width: 80%;
  background: rgba(0, 0, 0, 0);
  color: #fff;
  font-family: Arial, sans-serif;
  font-size: 18px;
  outline: none;
  padding: 5px;
  margin-top: 2em;
  border: none;
  border-bottom: 2px solid #fff;
}

.contact form input::placeholder, .contact textarea::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #fff;
  opacity: 1; /* Firefox */
}

.contact:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #fff;
}

.contact::-ms-input-placeholder { /* Microsoft Edge */
  color: #fff;
}


.contact #send{
  border: none;
  border-bottom: 2px solid #fff;
  font-size: 18px;
  color: #fff;
  background: rgba(0, 0, 0, 0);
  margin-top: 1em;
  transition: 0.5s;
  cursor: pointer;
}

.contact #send:hover {
  letter-spacing: 1px;
}

footer{
  height: 6em;
  display: flex;
  align-items: center;
  text-align: center;
  font-size: 18px;
}


footer .social, footer .copy{
  width: 100%;
}

footer .copy a{
  font-family: "Open sans Condensed" ;
  font-size: 20px;
  color: #11bcdd;
  text-decoration: none;
}


footer img{
  width: 22px;
  height: 22px;
  margin-left: 5px;
  transition: 0.7s;
}

footer img:hover{
  opacity: 0.3;
}

/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@media only screen and (min-width:769px) {
  .about{
    width: 90%;
    margin: 2em 5%;
    padding: 2em;
  }

  .about img{
    width: 35%;
    float: left;
    margin-left: 5%;
    margin-bottom: 1em;
    box-shadow: -4px 11px 44px 0px rgba(0,0,0,0.75);
  }

  .about .career{
    width: 50%;
    float: left;
    text-align: left;
    margin-left: 5%;
    padding-left: 3%;
    border-left: 3px solid #444;
  }

}


@media only screen and (max-width:768px) {
  .nav-container {
    position: relative;
  }

  .nav-menu {
  display: grid;
  grid-template-columns: auto;
  background: #444;
  margin: 0;
  width: 100%;
  position: absolute;
  top: 80px;
  left: -100%;
  opacity: 0;
  transition: 0.5s ease;
  }

  .nav-menu.active {
  background: #444;
  z-index: 1;
  left: 0;
  opacity: 1;
  transition: all 0.5s ease;
  }

  .nav-links {
  text-align: center;
  line-height: 60px;
  width: 100%;
  display: table;
  }

  .navbar {
  width: 100%;
  }

  #mobile-menu {
  position: absolute;
  top: 20%;
  right: 5%;
  transform: translate(5%, 20%);
  }

  .menu-toggle .bar {
  display: block;
  cursor: pointer;
  }

  .menu-toggle:hover {
  cursor: pointer;
  }

  #mobile-menu.is-active .bar:nth-child(2) {
  opacity: 0;
  }

  #mobile-menu.is-active .bar:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
  }

  #mobile-menu.is-active .bar:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
  }

  .double {
    padding-left: 15%;
    margin-bottom: 0;
  }

  /* Services */
  .bigCol {
    max-width: 70%;
    flex: 70%;
    height: 300px;
    margin-bottom: 3em;
  }

  .bigCol .content {
    width: 45%;
    height: 45%;
    padding: 6px;
    left: -3px;
    bottom: -5px;
  }

  .bigCol h4 {
    font-size: 18px;
  }

  #first .bigCol:nth-child(1) {
    margin-left: 5%;
  }
  #first .bigCol:nth-child(2) {
    margin-bottom: 1em;
  }

  #second .bigCol:nth-child(1) {
    margin-left: 5%;
  }

  /* about */
  .about {
    height: auto;
    display: block;
    margin: 1em auto;
  }
  .about img {
    width: 70%;
    margin-left: 15%;
    margin-bottom: 1em;
  }

  .about .career {
    font-size: 16px;
    border-left: none;
  }

  .about .career h3{
    margin-bottom: 0.5em;
  }

  .about .career p {
    line-height: 25px;
  }

  /* contact  */

  .contact {
    height: 85vh;
    display: block;
  }

  .contact .layer {
    height: 100%;
    display: block;
  }

  .contact .address, .contact .holder {
    width: 90%;
  }

  .contact .address {
    margin-left: 5%;
  }

  .contact p {
    font-size: 18px;
  }

  .contact form input, .contact form textarea {
    width: 100%;
  }

  footer {
    display: grid;
    padding-top: 1em;
  }

  footer .copy {
    margin-bottom: 1em;
  }

  footer div:nth-of-type(1) {
    order: 2;
  }

}

@media only screen and (max-width:576px) {
  .double {
    padding-left: 5%;
    padding-right: 5%;
  }

  .bigCol {
    max-width: 90%;
    height: 250px;
    margin-bottom: 2.5em;
  }
  /* Gallery */
  .row {
    padding-left: 17.5%;
  }
  .col {
    flex: 80%;
    max-width: 80%;
    padding: 0;
  }

}

@media (min-width: 769px) and (min-width: 1024px) {
  .first {

  }
}

@media (max-height: 650px) and (max-width: 768px) {
  .contact {
    height: 120vh;
  }
}

@media (max-height: 750px) and (max-width:576px) {
  .contact {
    height: 100vh;
  }
}

@media (max-height: 680px) and (max-width:576px) {
  .contact {
    height: 120vh;
  }
}

@media (max-height: 580px) and (max-width:576px) {
  .contact {
    height: 140vh;
  }
}
